@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@300&display=swap');

/*INICIO*/

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    flex-flow: column;
    height: 100vh;
    font-family: 'Roboto Slab';
}

p {
    text-align: justify;
    line-height: 1.5;
    font-size: large;
    margin-bottom: .5rem;
}

.titulo-apoio-patrocinio {
    text-align: center;
}

h3,
h4 {
    padding: 1rem 0rem 1rem;
}

.header-contato {
    padding: 0rem;
}

.media-box {
    width: 100%;
    max-width: var(--margin-principal);
    margin: 0 auto;
    padding: 20px 20px;
}

.video-container {
    position: relative;
    padding-bottom: 56.25%;
    /* 16:9 */
    height: 0;
    overflow: hidden;
    max-width: 100%;
    background: #000;
}

.video-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}


/*FIM*/


/*VARIAVEIS*/

:root {
    --black: #130f0d;
    --primary: #fd951f;
    --white: #f0f0f9;
    --margin-principal: 72rem;
    --gap-apoio: 1rem;
    --margin-topo: 54px;
    --objeto-variavel: 30vh;
}


/*VARIAVEIS*/


/* 
{ - FORMATAÇÃO DO CABECALHO
*/

#logo img {
    width: 100%;
    max-width: 18rem;
    /* margin-right: 2rem; */
}

.header,
#menu {
    display: flex;
}

#menu {
    list-style: none;
    gap: 1.2rem;
}

#menu a {
    display: block;
    padding: .5rem;
    border-radius: 5px 5px 5px 5px;
    text-decoration: none;
    color: black;
}

.destaque a {
    background-color: rgb(228 58 63);
    color: white !important;
    box-shadow: 2px 2px 5px hsl(0deg 0% 0% / 30%);
    border-radius: 5px 5px 5px 5px;
}


/*
.menu-item:hover a {
    color: white !important;
    border-radius: 5px;
    background-color: rgb(243 110 114);
    box-shadow: 2px 2px 2px 0px rgba(0, 0, 0, 0.35);
}
*/

.menu-item.active a {
    color: white !important;
    border-radius: 5px;
    background-color: rgb(255, 0, 8);
    box-shadow: 0px 2px 2px 0px rgba(0, 0, 0, 0.25) inset;
}

#btn-mobile {
    display: none;
}

.header-menu,
.footer,
.footer-fix-button {
    flex-grow: 0;
}

.header {
    flex-grow: 0;
    flex-basis: var(--margin-topo);
    padding: 0.7rem 0.7rem;
    align-items: center;
    justify-content: space-between;
    background-color: #ffffff;
    max-width: var(--margin-principal);
    margin: auto;
}


/* banner geral*/

.bandeira IMG {
    width: 600px;
}

.bandeira-topo IMG {
    width: 300px;
}

.info-selo img {
    width: calc(200px + 10vw);
}

.info-data img {
    width: 220px;
}

.info-localizacao img {
    width: calc(500px + 17vw);
}

.separador {
    z-index: 2;
    width: 100%;
    border: none;
    border-top: 0.6vmin solid rgba(255, 255, 255, 0.5);
    order: 3;
}


/* .container-b::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url(../img/fundo-02.jpg);
    
    animation: bandeiramove 4s linear infinite;
    
} */

.container-b {
    overflow: hidden;
    background-image: url(../img/fundo.jpg);
    animation: luminancia 4s, linear infinite;
}

.banner {
    margin: auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-content: flex-start;
    align-items: center;
    padding: 0.7rem 0.7rem;
    max-width: var(--margin-principal);
    z-index: 1;
}

.band {
    order: 0;
    flex: none;
    flex-grow: 0;
    position: static;
    z-index: 0;
    position: relative;
    display: flex;
    margin: 10px;
    padding: 2px;
    animation: floatUpDown 6s ease-in-out infinite;
}

.bandeira {
    order: 1;
    flex: none;
    flex-grow: 0;
    filter: drop-shadow(0px 80px 50px #030a695e);
    position: relative;
    margin: 20px 10px 20px 0px;
    padding: 2px;
    perspective: 1800px;
    transform-origin: 50% 50%;
    transform-style: preserve-3d;
    transform: rotateX(0deg) rotateY(0deg);
}

.info-selo {
    z-index: 2;
    order: 2;
    flex-grow: 0;
    margin: 10px;
    padding: 2px;
}

.info-data {
    order: 3;
    flex-grow: 0;
    position: relative;
    display: flex;
    flex-direction: column;
    margin: 10px;
    padding: 2px;
    margin-bottom: 10px;
}

.info-localizacao {
    order: 4;
    flex-grow: 0;
    position: relative;
    display: flex;
    padding: 10px;
    flex-direction: column;
    margin: 10px;
}

@keyframes bandeiramove {
    0% {
        opacity: 1;
    }
    25% {
        opacity: 1;
    }
    50% {
        opacity: 0;
    }
    75% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@keyframes floatUpDown {
    0% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(-10px);
    }
    100% {
        transform: translateY(0);
    }
}

@keyframes luminancia {
    0% {
        filter: brightness(105%) hue-rotate(0deg);
    }
    50% {
        filter: brightness(100%) hue-rotate(10deg);
    }
    100% {
        filter: brightness(105%) hue-rotate(0deg);
    }
}


/*
    } - FORMATAÇÃO DO CABEÇALHO
*/


/*INICIO - FORMATAÇÃO DO CONTEÚDO*/

.content {
    display: flex;
    flex-direction: column;
    flex-grow: 2;
    flex-basis: auto;
    background-image: url(../img/textura.png);
    background-position: center;
    background-attachment: fixed;
    /* background-image: linear-gradient(to bottom, #c1e5fa, #eacbdb);*/
    /* background: linear-gradient(0deg, rgba(234,203,219,1) 0%, rgba(193,229,250,1) 100%);*/
    /*background-position: center;*/
}

.content-scroll {
    overflow-y: auto;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
}

.box {
    width: 100%;
    max-width: var(--margin-principal);
    margin: 0 auto;
    padding: 0.7rem 0.7rem;
}

.footer {
    flex-grow: 0;
    flex-basis: 20px;
    padding: 5px;
    display: flex;
    justify-content: center;
    background-color: #1971db;
    color: white;
}


/*INICIO - SECÇÃO - APOIO*/

.apoio-patrocinio {
    padding: 1rem .1rem;
    justify-content: center;
    align-items: center;
    gap: var(--gap-apoio);
    margin: auto;
    max-width: var(--margin-principal);
    width: 100%;
}

.apoio,
.patrocinio {
    display: flex;
    align-items: center;
    flex-grow: 1;
    width: 100%;
    gap: var(--gap-apoio);
}

.apoio {
    justify-content: space-around;
}

.patrocinio {
    justify-content: center;
}

.logo_apoio img {
    padding: 10px;
    width: 100%;
    height: 6rem;
}

#separador-vertical {
    height: 5rem;
}

#separador-horizontal {
    display: none;
}

.image-row {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-wrap: wrap;
}

.image-row img {
    padding: 10px;
    max-width: 100%;
}

.linha-horizontal-rodape {
    width: 100%;
    height: 0;
    color: darkgrey;
}

.apoio-realizacao {
    display: flex;
    align-items: baseline;
    gap: 10px;
    color: darkgrey;
}


/*FIM - SECÇÃO - APOIO*/


/*FIM - FORMATAÇÃO DO CONTEÚDO*/


/*INICIO - FORMATAÇÃO DA PÁGINA DE PROGRAMAÇÃO*/

.td-sessao {
    background-color: rgb(243 110 114) !important;
}

.tab-links {
    display: flex;
    justify-content: center;
    gap: 5px;
    background-color: #000000;
    padding-top: 5px;
    border-radius: 5px 5px 0px 0px;
}

.btn_tab {
    border: none;
    background: transparent;
    text-transform: uppercase;
    padding: 10px 20px;
    outline: none;
    position: relative;
    cursor: pointer;
    font-size: larger;
    color: var(--white);
}

.btn_tab.active {
    border: none;
    background: transparent;
    text-transform: uppercase;
    padding: 10px 20px;
    outline: none;
    position: relative;
    cursor: pointer;
    background-color: #d63d42;
    font-size: larger;
    color: var(--white);
    border-radius: 5px 5px 0px 0px;
    width: 26%;
    font-family: 'Roboto Slab';
    font-weight: 600;
}

@keyframes up {
    from {
        opacity: 0;
        transform: translateY(5px);
    }
    to {
        opacity: 1;
    }
}

.table-content {
    left: 0;
    border-radius: 0px 0px 5px 5px;
    border-top: 5px solid #d63d42;
    background: #d63d42;
    padding: 5px;
    border-collapse: separate;
    border-spacing: 5px;
    min-width: -webkit-fill-available;
}

.table-row-head {
    color: var(--white);
}

.table-content td {
    padding: 8px;
    text-align: left;
    background-color: white;
    box-shadow: 0px -1px 2px #000;
    border-radius: 2px;
}

.table-content th {
    /*  text-align: center;*/
    background-color: #000000;
    box-shadow: 0px -1px 2px #000;
    border-radius: 2px;
    color: var(--white);
    padding: 5px;
}


/* .table-content td {
    background-color: #A2CE4F;
} */


/*FIM - FORMATAÇÃO DA PÁGINA DE PROGRAMAÇÃO*/


/*INICIO - FORMATAÇÃO DA PÁGINA DE PALESTRANTES*/

.img-palestrantes {
    padding: .3rem;
    background-color: white;
    border-radius: .5rem;
}

.flex {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.flex img {
    max-width: 100px;
}


/*FIM - FORMATAÇÃO DA PÁGINA DE PALESTRANTES*/


/* INICIO - FORMATAÇÃO DA PÁGINA DE GALERIA */


/* Estilos para a galeria */

.gallery {
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    justify-content: center;
}

.thumbnails {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.thumbnails img {
    width: 82px;
    height: 100px;
    cursor: pointer;
}

.full-image {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.7);
    /* Fundo escuro semi-transparente */
}

.full-image img {
    max-width: 90%;
    /* Tamanho máximo da imagem */
    max-height: 90vh;
    /* Altura máxima da imagem para caber na janela */
    object-fit: contain;
    /* Mantém a proporção da imagem */
}


/* FIM - FORMATAÇÃO DA PÁGINA DE GALERIA */


/*ESTILIZAÇÃO PARA FAZER AJUSTE DOS BOTOES DO CABECALHO PARA FORMATO DE MENU QUANDO CHEGAR NA RESOLUÇÃO CONFIGURADA*/

@media screen and (max-width: 1024px) {
    #menu {
        display: block;
        position: absolute;
        width: 100%;
        top: var(--margin-topo);
        right: 0px;
        background: #ffffff;
        height: 0px;
        transition: .6s;
        z-index: 1000;
        visibility: hidden;
        overflow-y: hidden;
    }
    /* Quando o elemento de navegação nav tiver com a classe active */
    #nav.active #menu {
        height: 92vh;
        visibility: visible;
    }
    #menu a {
        text-align: center;
        padding: 1rem 0;
        margin: 0px 1rem;
        border-bottom: 2px solid rgba(0, 0, 0, .05);
        margin: .5rem;
    }
    /* Criação do botão de menu */
    #btn-mobile {
        display: flex;
        padding: .5rem 1rem;
        font-size: 1rem;
        border: none;
        background: none;
        cursor: pointer;
        gap: .5rem;
    }
    #hamburguer {
        display: block;
        border-top: 2px solid;
        width: 20px;
    }
    #hamburguer::after,
    #hamburguer::before {
        content: '';
        display: block;
        width: 20px;
        height: 2px;
        background: currentColor;
        margin-top: 5px;
        transition: .3s;
        position: relative;
    }
    /*Transição do menu lista para o icone x*/
    #nav.active #hamburguer {
        border-top-color: transparent;
    }
    #nav.active #hamburguer::before {
        transform: rotate(135deg);
    }
    #nav.active #hamburguer::after {
        transform: rotate(-135deg);
        top: -7px;
    }
    /* banner elementos do banner topo */
    .banner {
        justify-content: center;
    }
    .bandeira IMG {
        width: calc(350px + 20vw);
    }
    .info-localizacao img {
        width: calc(400px + 20vw);
    }
}


/*ESTILIZAÇÃO PARA RESOLUÇÕES ATÉ 500PX - SMARTPHONE DE BAIXA RESOLUÇÃO*/

@media screen and (max-width: 500px) {
    .apoio-realizacao {
        justify-content: center;
    }
    .apoio-realizacao {
        flex-wrap: wrap;
        margin-top: 20px;
    }
    .linha-horizontal-rodape {
        display: none;
    }
    .table-content {
        left: 0;
        border-radius: 0px 0px 5px 5px;
        padding: 2px;
        border-collapse: separate;
        border-spacing: 3px;
        min-width: -webkit-fill-available;
    }
    .table-content td,
    .table-content th {
        padding: 1px;
        font-size: 11px;
    }
    .banner {
        justify-content: center;
    }
    .bandeira IMG {
        width: calc(230px + 20vw);
    }
    .info-localizacao img {
        width: calc(160px + 50vw);
    }
    .bandeira {
        margin: 20px 10px 20px 10px;
        padding: 2px;
    }
    .box {
        padding: 0.7rem 1rem;
    }
}